%define		xfce_version	4.12.0
Summary:	Settings manager for the Xfce desktop environment
Summary(pl.UTF-8):	Menadżer ustawień dla środowiska Xfce
Name:		xfce4-settings
Version:	4.12.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/xfce4-settings/4.12/%{name}-%{version}.tar.bz2
# Source0-md5:	3eb9ff3862d773287f56f142ab7ec361
Patch0:		01_use-tango-icon-theme.patch
URL:		http://www.xfce.org/projects/xfce4-settings/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	garcon-devel >= 0.1.10
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	intltool
BuildRequires:	libcanberra-devel
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	libxklavier-devel
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRequires:	xfconf-devel >= %{xfce_version}
BuildRequires:	xorg-driver-input-libinput-devel
BuildRequires:	xorg-lib-libXcursor-devel >= 1.1.0
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-proto-inputproto-devel >= 1.4.0
Requires:	xfconf >= %{xfce_version}
Obsoletes:	xfce-mcs-manager
Obsoletes:	xfce-mcs-plugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The settings manager allows you to customize your Xfce desktop
environment in an easy and intuitive way.

%description -l pl.UTF-8
Menadżer ustawień pozwala w łatwy i intuicyjny sposób dostosowywać
środowisko Xfce.

%prep
%setup -q
%patch0 -p1

mkdir -p m4

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-pluggable-dialogs \
	--enable-sound-settings

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/xfce4-accessibility-settings
%attr(755,root,root) %{_bindir}/xfce4-appearance-settings
%attr(755,root,root) %{_bindir}/xfce4-display-settings
%attr(755,root,root) %{_bindir}/xfce4-keyboard-settings
%attr(755,root,root) %{_bindir}/xfce4-mime-settings
%attr(755,root,root) %{_bindir}/xfce4-mouse-settings
%attr(755,root,root) %{_bindir}/xfce4-settings-editor
%attr(755,root,root) %{_bindir}/xfce4-settings-manager
%attr(755,root,root) %{_bindir}/xfsettingsd
%dir %{_libdir}/xfce4/settings
%attr(755,root,root) %{_libdir}/xfce4/settings/appearance-install-theme
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_desktopdir}/xfce-display-settings.desktop
%{_desktopdir}/xfce-keyboard-settings.desktop
%{_desktopdir}/xfce-mouse-settings.desktop
%{_desktopdir}/xfce-settings-manager.desktop
%{_desktopdir}/xfce-ui-settings.desktop
%{_desktopdir}/xfce4-accessibility-settings.desktop
%{_desktopdir}/xfce4-mime-settings.desktop
%{_desktopdir}/xfce4-settings-editor.desktop
%{_iconsdir}/hicolor/*x*/devices/xfce-display-*.png
%changelog
* Sun Mar 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-settings.git;a=log;h=master

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> 3aecfcf
- up to 4.12.0

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 7939025
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> af4b2de
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> b9c2ffc
- drop multiple-x-screens-workaround, --sync option is gone
- rel 2

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 88354dd
- up to 4.11.3

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e58753a
- upower rebuild
- release 2 (by relup.sh)

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> b724418
- up to 4.11.2

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 0aaed67
- rel 5

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> d7d612c
- BR garcon-devel

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 6e7c2c2
- added patches from debian
- rel 4

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> ab6dbeb
- fix for https://bugzilla.xfce.org/show_bug.cgi?id=9390

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 324eb33
- set Xfce/Tango as default theme/icon theme to avoid empty/no icons when
  xfce/gtk falls back to hicolor theme

* Thu Oct 25 2012 Jan Rękorajski <baggins@pld-linux.org> c59a3e0
- make X calls synchronous to work around BadMatch error in Xi extension
  detection (xfsettingsd/pointers.c) when multiple X screens are in use
- rel 3

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 4d33485
- rel 2
- package missing dir

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 3c9b0b8
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 25f2397
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 311ace4
- 4.10.0
- IconThemeName is now an empty property

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 2bb8728
- 4.8.3

* Tue Jun 28 2011 marti <marti@pld-linux.org> 0e6b5ce
- up to 4.8.2

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 6da4843
- release 2

